/*
 * @(#)DemoCellRendererPanel.java 3/6/2005
 *
 * Copyright 2002 - 2005 JIDE Software Inc. All rights reserved.
 */

import javax.swing.*;
import java.awt.*;

/**
 */
class DemoCellRendererPanel extends JPanel {
    private JLabel _label;

    public DemoCellRendererPanel() {
        setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
        setBorder(BorderFactory.createEmptyBorder());
        setOpaque(false);
    }

    public void setLabel(JLabel label) {
        _label = label;
        add(_label);
    }

    public void setFont(Font font) {
        super.setFont(font);
        if(_label != null) {
            _label.setFont(font);
        }
    }

    public void updateUI() {
        super.updateUI();
        setOpaque(false);
        setFont(UIManager.getFont("Label.font"));
        setBackground(UIManager.getColor("Label.background"));
        setForeground(UIManager.getColor("Label.foreground"));
    }
}
