/*
 * @(#)JideSplitPaneDemo.java
 *
 * Copyright 2002 JIDE Software Inc. All rights reserved.
 */

import com.jidesoft.plaf.LookAndFeelFactory;
import com.jidesoft.swing.JideBoxLayout;
import com.jidesoft.swing.JideSplitPane;
import com.jidesoft.swing.JideTabbedPane;
import com.jidesoft.utils.SystemInfo;

import javax.swing.*;
import javax.swing.table.DefaultTableModel;
import java.awt.*;

/**
 * Demoed Component: {@link JideSplitPane}
 * <br>
 * Required jar files: jide-common.jar
 * <br>
 * Required L&F: Jide L&F extension required
 */
public class JideSplitPaneDemo extends AbstractDemo {

    public JideSplitPaneDemo() {
        super();
    }

    public String getName() {
        return "JideSplitPane Demo";
    }

    public String getProduct() {
        return PRODUCT_NAME_COMPONENTS;
    }

    public String getDescription() {
        return "JideSplitPane is a split pane that supports multiple splits. As you can see on your right, there is a JideSplitPane that splits into three panes. In fact, you can split it as many panes as you want.\n" +
                "\n" +
                "Demoed classes:\n" +
                "com.jidesoft.swing.JideSplitPane\n";
    }

    public Component getDemoPanel() {
        JideTabbedPane tabbedPane = new JideTabbedPane();
        tabbedPane.setBoxStyleTab(true);
        tabbedPane.addTab("JideSplitPane", createSplitPane());
        tabbedPane.addTab("JSplitPane (for comparision)", createJSplitPane());
        return tabbedPane;
    }

    public String getDemoFolder() {
        return "B5. JideSplitPane";
    }

    public static void main(String[] args) {
        LookAndFeelFactory.installDefaultLookAndFeelAndExtension();
        showAsFrame(new JideSplitPaneDemo());
    }

    private static JideSplitPane createSplitPane() {
        JTree tree1 = new JTree();
        JTable table = new JTable(new DefaultTableModel(10,3));
        JTree tree2 = new JTree();

        JideSplitPane split = new JideSplitPane(JideSplitPane.HORIZONTAL_SPLIT);
        split.add(new JScrollPane(tree1), JideBoxLayout.FLEXIBLE);
        split.add(new JScrollPane(table), JideBoxLayout.VARY);
        split.add(new JScrollPane(tree2), JideBoxLayout.FLEXIBLE);
        return split;
    }

    private static JSplitPane createJSplitPane() {
        JTree tree1 = new JTree();
        JTable table = new JTable(new DefaultTableModel(10,3));

        JSplitPane split = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
        split.setLeftComponent(new JScrollPane(tree1));
        split.setRightComponent(new JScrollPane(table));
        return split;
    }
}
