/*
 * @(#)TwoDockDemo.java 2/18/2005
 *
 * Copyright 2002 - 2005 JIDE Software Inc. All rights reserved.
 */

import com.jidesoft.dialog.*;
import com.jidesoft.swing.JideSwingUtilities;
import com.jidesoft.swing.MultilineLabel;
import com.jidesoft.wizard.*;
import com.jidesoft.plaf.LookAndFeelFactory;
import com.jidesoft.utils.ProductNames;
import com.jidesoft.utils.SystemInfo;

import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.ArrayList;
import java.util.List;

/**
 * Demoed Component: {@link com.jidesoft.wizard.WizardDialog}
 * <br>
 * Required jar files: jide-common.jar, jide-components.jar, jide-dialogs.jar
 * <br>
 * Required L&F: Any L&F
 */
public class TwoDockDemo extends AbstractDemo {
    public String getName() {
        return "Docking Framework Demo - Two Docking Managers";
    }

    public String getProduct() {
        return PRODUCT_NAME_DOCK;
    }

    public String getDescription() {
        return "This is a demo of JIDE Docking Framework which has two Docking Managers. Each Docking Manager has its own set of dockable frames.\n" +
                "\n" +
                "Demoed classes:\n" +
                "com.jidesoft.dock.DockableFrame\n" +
                "com.jidesoft.dock.DefaultDockingManager\n" +
                "and a lot of more.\n";
    }

    public Component getDemoPanel() {
        ButtonPanel buttonPanel = new ButtonPanel(SwingConstants.TOP);
        buttonPanel.addButton(new JButton(new AbstractAction("Launch DockingFramework Demo") {
            public void actionPerformed(ActionEvent e) {
                TwoDockingFrameworkDemo.showDemo();
            }
        }));

        return buttonPanel;
    }

    public Component getOptionsPanel() {
        return null;
    }

    public String getDemoFolder() {
        return "D2. TwoDockingFramework";
    }

    public String[] getDemoSource() {
        return new String[]{"TwoDockingFrameworkDemo.java"};
    }

    public static void main(String[] args) {
        LookAndFeelFactory.installDefaultLookAndFeelAndExtension();
        showAsFrame(new TwoDockDemo());
    }
}
